[Date Prev][Date Next] [Chronological] [Thread] [Top]

RE: ldap_sasl_interactive_bind_s: Can't contact LDAP server (-1)

i checked openldap.org, the latest release is 2.3.12, do u suggest using it?
Amir Saad
Software Engineer


From: Quanah Gibson-Mount [mailto:quanah@stanford.edu]
Sent: Tue 11/29/2005 12:00 AM
To: OpenLDAP-software@OpenLDAP.org
Cc: Kurt D. Zeilenga; Amir Saad
Subject: Re: ldap_sasl_interactive_bind_s: Can't contact LDAP server (-1)

--On Monday, November 28, 2005 1:30 PM -0800 "Kurt D. Zeilenga"
<Kurt@OpenLDAP.org> wrote:

> If you haven't done so already, you should verify that:
>         s_client -> s_server
> works, then if
>         s_client -> slapd(8)
> works.  In both cases, be sure to use appropriate s_client
> flags to enable server certificate verification.  (If you
> have questions about how to use s_client or s_server, see
> the OpenSSL docs, use OpenSSL support lists.)  And then,
> if you still have problems, I suggest you enable both client
> and server side debugging, rerun your simple authentication
> (or just anonymous) bind, and then examine the output for hints.
> And you might try 2.2.13 as, IIRC, some of ldapsearch(1)'s
> error reporting was improved (though I don't recall if it
> would make a difference here).

Do you mean 2.3.13? :)


Quanah Gibson-Mount
Principal Software Developer
ITSS/Shared Services
Stanford University
GnuPG Public Key: http://www.stanford.edu/~quanah/pgp.html